#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/base/colours.rb' 
# =========================================================================== #
module ChemistryParadise

class Base # === ChemistryParadise::Base

  begin
    require 'colours'
    include Colours
  rescue LoadError; end

  # ========================================================================= #
  # === rev
  # ========================================================================= #
  def rev
    ::Colours.rev
  end

  # ========================================================================= #
  # === grey
  # ========================================================================= #
  def grey(i)
    "#{Colours::GREY}#{i}#{Colours}#{rev}"
  end

  # ========================================================================= #
  # === royalblue
  # ========================================================================= #
  def royalblue(i)
    ::Colours.royalblue(i)
  end

  # ========================================================================= #
  # === steelblue
  # ========================================================================= #
  def steelblue(i)
    ::Colours.steelblue(i)
  end

  # ========================================================================= #
  # === yellow
  # ========================================================================= #
  def yellow(i)
    ::Colours.yellow(i)
  end

  # ========================================================================= #
  # === teal
  # ========================================================================= #
  def teal(i)
    Colours.teal(i)
  end

  # ========================================================================= #
  # === sfancy
  # ========================================================================= #
  def sfancy(i)
    ::Colours.sfancy(i)
  end

end; end