#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/constants/file_constants.rb'
# =========================================================================== #
require 'chemistry_paradise/project/project_base_directory.rb'

module ChemistryParadise

module Constants # === ChemistryParadise::Constants

  # ========================================================================= #
  # === FILE_ELECTRON_NEGATIVITY_CHART
  #
  # bl $RUBY_SRC/chemistry_paradise/lib/chemistry_paradise/yaml/electron_negativity_chart.yml
  # ========================================================================= #
  FILE_ELECTRON_NEGATIVITY_CHART =
    "#{PROJECT_BASE_DIRECTORY}yaml/electron_negativity_chart.yml"

  # ========================================================================= #
  # === FILE_ATOMGEWICHTE
  # ========================================================================= #
  FILE_ATOMGEWICHTE =
    "#{PROJECT_BASE_DIRECTORY}yaml/atomgewichte.yml"

end; end