#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/project/project_base_directory.rb'
# =========================================================================== #
module ChemistryParadise

  # ========================================================================= #
  # === ChemistryParadise::PROJECT_BASE_DIRECTORY
  #
  # The constant must have a trailing '/' character.
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY =
    File.absolute_path("#{__dir__}/..")+'/'

  # ========================================================================= #
  # === ChemistryParadise.project_base_directory?
  # ========================================================================= #
  def self.project_base_directory?
    PROJECT_BASE_DIRECTORY
  end

end