#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/toplevel_methods/atomgewichte.rb'
# =========================================================================== #
require 'chemistry_paradise/constants/file_constants.rb'

module ChemistryParadise

  # ========================================================================= #
  # === ChemistryParadise.file_atomgewichte
  # ========================================================================= #
  def self.file_atomgewichte
    Constants::FILE_ATOMGEWICHTE
  end

  # ========================================================================= #
  # === ChemistryParadise.atomgewichte?
  # ========================================================================= #
  def self.atomgewichte?
    require 'yaml'
    YAML.load_file(Constants::FILE_ATOMGEWICHTE)
  end

end

if __FILE__ == $PROGRAM_NAME
  puts ChemistryParadise.file_atomgewichte
  pp ChemistryParadise.atomgewichte?
end