#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'chemistry_paradise/toplevel_methods/show_electron_negativity_chart.rb'
# =========================================================================== #
require 'chemistry_paradise/constants/constants.rb'

module ChemistryParadise

  # ========================================================================= #
  # === ChemistryParadise.show_electron_negativity_chart
  # ========================================================================= #
  def self.show_electron_negativity_chart
    Constants::ELECTRON_NEGATIVITY_CHART.each_pair {|key, value|
      value = value.to_f
      value = '%.2f' % value 
      puts key.ljust(2)+' -> '+value.to_s.rjust(2)
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  ChemistryParadise.show_electron_negativity_chart
end